<?xml version="1.0" encoding="gb2312"?>
<!--HDR+2.0 Cmode_2.0_xml_2.0-->
<Config>

    <MFNR>
        <TC>
            <mindist>11</mindist>           <!--[3 , 21]-->
            <window_width>11</window_width>   <!--[11]-->
            <window_height>11</window_height>  <!--[11]-->
            <min_eigenvalue>3</min_eigenvalue>  <!--[0 , 255]-->
            <min_determinant>0.01</min_determinant>   <!--[0.001f , 8.0f]-->
            <min_displacement>0.01</min_displacement>  <!--[0.01f , 1.0f]-->
            <max_iterations>30</max_iterations>   <!--[1 , 255]-->
            <max_residue>20.0</max_residue>   <!--[0.0f , 255.0f]-->
            <step_factor>1.0</step_factor>    <!--[1.0f , 16.0f]-->
            <nPyramidLevels>4</nPyramidLevels>  <!--[1 , 8]-->
            <subsampling>2</subsampling>   <!--[2 , 4]-->
            <divnum_x>16</divnum_x>    <!--[2 , 20] -->
            <divnum_y>16</divnum_y>    <!--[2 , 20]-->
            <fnum_block>3</fnum_block>  <!--[1 , 8]-->
        </TC>
        <RANSAC_PARAM>
            <max_iters>150</max_iters>   <!--[1 , 1024]-->
            <threshold>3.0</threshold>   <!--[0.1f , 16.0f]-->
            <confidence>0.9995</confidence>   <!--(0.0f , 1.0f]-->
        </RANSAC_PARAM>
        <GHOST_PARAMS>
            <iso>       100     200   400    800    1600   2400   3200   6400   </iso> <!-- iso threshold for th0~th7 -->
            <factor>    1.000   1.100 1.300  1.700  2.000  2.000  2.000  2.000  </factor>  <!-- factor,dark_level:[1.0,2.0]; c:(0,2047] -->
            <dark_level>1.500   2.000 2.000  2.000  2.000  2.000  2.000  2.000  </dark_level>
            <c>         7.500   9.000 12.000 18.000 30.000 42.000 54.000 102.000</c>
        </GHOST_PARAMS>
        <EXCEPTION_HANDLER>
            <iso>                 100     200     400     800     1600    2400    3200    6400  </iso> <!-- iso threshold for th0~th7 -->
            <thresh_rotate>       0.2     0.2     0.2     0.2     0.2     0.2     0.2     0.2   </thresh_rotate>   <!--[0.0,9.0]-->
            <thresh_translate>    256.0   256.0   256.0   256.0   256.0   256.0   256.0   256.0 </thresh_translate><!--[0.0,1024.0]-->
            <thresh_zoom>         0.0001  0.0001  0.0001  0.0001  0.0001  0.0001  0.0001  0.0001</thresh_zoom><!--[0.0,0.00025]-->
            <thresh_num_feature>  5       5       5       5       5       5       5       5     </thresh_num_feature><!--[5,255]-->
            <thresh_contrast>     50      50      50      50      50      50      50      50    </thresh_contrast><!--[0,100]-->
        </EXCEPTION_HANDLER>
        <slf_t>
            <well_expo_long>  0.5 </well_expo_long>    <!--[0.0,1.0]-->
            <well_expo_short> 0.5 </well_expo_short>   <!--[0.0,1.0]-->
        </slf_t>
    </MFNR>

    <HDR>
        <params_sd0>
            <sd_result>0</sd_result>
            <!-- light_lev luma_center  eps    eps_blur    eps_lap  eps_weight  min_size  gf_lev    r        r_gain   edge_thr edge_boxf_r plant_scale  bpv_scale   detail:gain_coff gain_min  gain_min2  gain_max gain_drc   global_min  global_max  th_low     th_high    str_low    str_high   hlr_alpha  hlr_center hlr_eps trust_min  weight_center  border     face   lime:gamma_low gamma_high  gamma_min  center_low ups_interp  face: luma_goal gamma_face bpv_factor face_eps  mask_max_r  sky_goal    blue_goal gamma_sky gamma_blue night_scale retinex:r0        r1        r2       r3         r4      r5     eps0       eps1      eps2       eps3       eps4     eps5    minratio   maxratio face_recover DE_eps*100000.f strength  surface_th    de_laplacian(+)*100   de_laplacia(-)*100   de_gaussian*100  gtm_reduce lsc_value_center(rgb)  lsc_value_conner(rgb)  -->
            <!--[0,1280000] [0,255]  [0, 65535] [0, 65535] [0, 65535] [0, 65535] [2, 512] [2, 4]   [2, 64]  [2, 64]   [0, 255]  [0, 64]   [0, 256]      [0, 256]              [0 512]   [0 4096] [0 4096]  [0 4096] [0 4096]    [0 256]      [0 256]   [0 255]   [0 255]     [0 1024]   [0 1024]    [0 256]   [0 255]   [0 256]   [0 256]      [0 256]   [0 256]    [0 256]      [0 256]      [0 256]   [0 2560]    [0 256]    [0 1000]        [0 256]    [0 256]     [0 256]    [0 256]     [0 256]   [0 256]   [0 256]    [0 256]   [0 256]      [0 256]       [4 512]   [0 512]   [0 512]   [0 512]   [0 512]  [0 512]  [1 4096]   [1 4096]  [1 4096]  [1 4096]   [1 4096]  [1 4096] [0 4096]  [0 4096]  [0 256]     [1 100000]      [0 256]    [0 256]          [100, 300]              [100, 300]        [100, 300]    [0, 256]   [1, 16384]                [1, 16384]        -->
            <param0>0       141          192       6          320          32       512      4        2          4      255        10        0          256              140        64       450       600      4096       204         256        5          5          512       128         64        230        128        2          103        90        128        132          208          30        200       100           155       205          0          26          4           220       220         230      179        230               8         32        64       128        0       0       8          200       128        128        64        64       32        512       32           500             256        80             110                      105               130           128        1024  1024  1024       1024  1024  1024  </param0>
            <param1>5       141          192       6          320          32       512      4        2          4      255        10        0          256              140        64       450       600      4096       204         256        5          5          512       128         192       215        128        2          103        90        128        132          208          30        200       100           150       205          0          26          4           220       220         230      179        230               8         32        64       128        0       0       8          200       128        128        64        64       32        512       32           500             256        80             110                      105               130           128        1024  1024  1024       1024  1024  1024  </param1>
            <param2>50      128          230       6          240          32       512      4        2          4      255        10        0          256              140        64       400       550      2560       204         256        5          5          512       32          192       200        128        2          103        90        128        80           208          35        180       100           150       213          0          26          4           220       220         218      179        230               8         32        64       128        0       0       8          200       320        320        320       320       0        345       128          500             256        80             110                      105               130           128        1024  1024  1024       1024  1024  1024  </param2>
            <param3>100     128          256       6          180          32       512      4        2          4      255        10        0          256              140        64       400       550      2560       179         256        5          5          1024      0           192       180        138        3          103        90        128        50           208          40        180       100           128       213          0          26          4           220       220         213      179        230               8         32        64       128        0       0       64         320       320        320        320       320       0        305       128         1000             256        80             105                      105               120           192        1024  1024  1024       1024  1024  1024  </param3>
            <param4>600     128          256       24         180          32       512      4        2          4      255        10        0          256              140        64       300       400      2048       179         256        5          5          1024      0           192       180        166        3          126        87        128        50           208          45        180       50            128       213          0          26          4           220       220         213      179        230               8         32        64       128        0       0       64         320       320        320        320       320       0        245       128         1000             256        40             100                      110               110           192        1024  1024  1024       1024  1024  1024  </param4>
            <param5>2000    112          256       48         180          32       512      4        2          4      255        10        0          256              140        0        0         0        0          179         256        5          5          1024      0           192       180        166        6          126        87        128        50           208          50        180       100           128       213          0          26          4           220       220         213      179        230               8         32        64       128        0       0       64         320       320        320        320       320       0        245       128         1000             256        40             100                      110               110           192        1024  1024  1024       1024  1024  1024  </param5>
            <param6>9000    104          256       48         180          32       512      4        2          4      255        10        0          256              140        0        0         0        0          179         256        5          5          512       0           192       180        166        12         126        87        128        50           190          55        180       100           128       190          0          26          4           220       220         190      179        230               8         32        64       128        0       0       64         320       320        320        320       320       0        245       128          500             256        40             100                      110               110           192        1024  1024  1024       1024  1024  1024  </param6>
            <luma_more_cfg>
                <luma_thr>32             64      80      128</luma_thr> <!--[0, 255]-->
                <gamma_coef>0.2          0.1     0.05    0.0</gamma_coef> <!--[0, 1]-->
                <face_gamma_coef>0.2     0.1     0.05    0.0</face_gamma_coef> <!--[0, 1]-->
                <weight_range>16         48</weight_range> <!--[0, 255]-->
                <high_ratio_range>16     16</high_ratio_range> <!--[0, 255]-->
            </luma_more_cfg>
            <gain_estimated_max>12</gain_estimated_max> <!--[1, 50]-->

            <!--scene params compensation scene value=-1 is for slf-->
            <scene0>-1       0           0         0          0          0          0          0          0          0         0         0          0         0            128        0           0         0          0          0          0         0          0          0          0         0         0          0          0          0         0          0           0</scene0>

            <!-- lut[5]-->
            <!-- [0.f, 32.f]-->
            <gainlut0>0.0  2.5  5.0  7.5  10.0</gainlut0>
            <gainlut1>0.0  2.5  5.0  7.5  10.0</gainlut1>
            <gainlut2>0.0  2.5  5.0  7.5  10.0</gainlut2>
            <gainlut3>0.0  2.5  5.0  7.5  10.0</gainlut3>
            <gainlut4>0.0  2.5  5.0  7.5  10.0</gainlut4>
            <gainlut5>0.0  2.5  5.0  7.5  10.0</gainlut5>

        </params_sd0>
    </HDR>

    <RAWNR>
        <NOISE_PROFILE>
            <K_A>0.00053903</K_A><!--[0, 1.0]-->
            <K_B>0.00000000</K_B><!--[0, 1.0]-->
            <B_A>0.00000078</B_A><!--[0, 1.0]-->
            <B_B>0.00057234</B_B><!--[0, 1.0]-->

            <BLC>16</BLC><!--[0, 64]-->

            <LAYER0_NOISE_SCALE>400 800 0.95 0.9</LAYER0_NOISE_SCALE> <!-- 2ISO 2nrs--><!--ISO[0, 6400]--><!--nrs[0, 1.0]-->
            <LAYER1_NOISE_SCALE>400 800 0.25 0.25</LAYER1_NOISE_SCALE> <!-- 2ISO 2nrs--><!--ISO[0, 6400]--><!--nrs[0, 1.0]-->
            <LAYER2_NOISE_SCALE>400 800 0.0625 0.0625</LAYER2_NOISE_SCALE> <!-- 2ISO 2nrs--><!--ISO[0, 6400]--><!--nrs[0, 1.0]-->

        <TUNING_DARK_NOISE>100 400 1.2 1.0  16 24 </TUNING_DARK_NOISE><!-- 2ISO 2nrs 2luma--><!--ISO[0, 6400]--><!--nrs[0, 1.5]--><!--luma[0, 64]-->
        </NOISE_PROFILE>

              <!--     /exp0   exp1   exp2 /iso0 iso1 iso2 iso3 iso4 iso5 iso6 iso7 iso8 iso9    -->
              <!--     3[50,5000]          8[0,15000]                                    -->
        <ISO_SECTIONS> 5000   1000   200   50   100  200  400  700  1000 3000 5000 5800 6400</ISO_SECTIONS>

        <NLM>
            <Layer0>
                <!--    /gradation_nr_4     /luma_nr_4         /luma_sub_4         /face_details_8                    -->
                <!--                                                               2hue     1nonFaceW 4detailsTH  3nrs -->
                <!--   2[0,255] 2[0,3.5]    2[0,255] 2[0,3.5]       2[0,255] 2[0,128]  2[0,255] [0,2]     4[0,255]    3[0~3.5]  -->
                <exp0>  75  120 1.7 1.0    16 32    1.2 3.5     25 42    38 49     164 240  1.0       0 25 60 120 3.5 1.0 3.5 </exp0>
                <exp1>  75  120 1.7 1.0    16 32    1.2 3.5     25 42    38 49     164 240  1.0       0 25 60 120 3.5 1.0 3.5 </exp1>
                <exp2>  75  120 1.7 1.0    16 32    1.2 2.5     25 42    38 49     164 240  1.0       0 25 60 120 3.5 1.0 3.5 </exp2>
                <iso0>  75  120 1.7 1.0    16 32    1.2 1.2     25 42    38 49     164 240  1.0       0 25 60 120 3.5 1.0 3.5 </iso0>
                <iso1>  75  120 1.7 1.0    16 32    1.2 1.2     25 42    38 49     164 240  1.0       0 25 60 120 3.2 1.0 3.2 </iso1>
                <iso2>  75  120 1.7 1.0    16 32    1.4 1.25    25 42    41 49     164 240  1.0       0 25 60 120 3.0 1.0 3.0 </iso2>
                <iso3>  75  120 1.7 1.0    16 32    1.4 1.25    25 42    41 49     164 240  1.0       0 25 60 120 3.0 1.0 3.0 </iso3>
                <iso4>  75  120 1.7 1.0    16 32    1.4 1.25    25 42    41 49     164 240  1.0       0 25 60 120 3.0 1.0 3.0 </iso4>
                <iso5>  75  120 1.7 1.0    16 32    1.4 1.25    25 42    41 49     164 240  1.0       0 25 60 120 3.0 1.0 3.0 </iso5>
                <iso6>  75  120 1.7 1.0    16 32    1.5 1.4     25 42    49 49     164 240  1.0       0 25 60 120 3.0 1.0 3.0 </iso6>
                <iso7>  75  120 1.7 1.0    16 32    1.5 1.4     25 42    49 49     164 240  1.0       0 25 60 120 3.0 1.0 3.0 </iso7>
                <iso8>  62  120 2.5 1.0    16 32    1.5 1.4     25 42    49 49     164 240  1.0       0 25 60 120 2.0 1.0 2.0 </iso8>
                <iso9>  62  120 2.5 1.0    16 32    1.5 1.4     25 42    49 49     164 240  1.0       0 25 60 120 2.0 1.0 2.0 </iso9>
            </Layer0>
            <Layer1>
                <!--    gradation_nr_4     luma_nr_4        luma_sub_4    /face_details_8                 -->
                <exp0>  75  120 1.7 1.0    16 25 1.7 3.5    25 42 49 49   168 240 1.0 0 25 50 100 3.0 1.0 3.0 </exp0>
                <exp1>  75  120 1.7 1.0    16 25 1.7 3.5    25 42 49 49   168 240 1.0 0 25 50 100 3.0 1.0 3.0 </exp1>
                <exp2>  75  120 1.7 1.0    16 25 1.7 2.5    25 42 49 49   168 240 1.0 0 25 50 100 3.0 1.0 3.0 </exp2>
                <iso0>  75  120 1.7 1.0    16 25 1.7 1.4    25 42 49 49   168 240 1.0 0 25 50 100 3.0 1.0 3.0 </iso0>
                <iso1>  75  120 1.7 1.0    22 50 1.8 1.4    25 42 49 49   168 240 1.0 0 25 50 100 3.0 1.0 3.0 </iso1>
                <iso2>  75  120 1.7 1.0    22 60 1.9 1.4    25 42 49 49   168 240 1.0 0 25 50 100 2.0 1.0 2.0 </iso2>
                <iso3>  75  120 1.7 1.0    22 60 1.9 1.3    25 42 49 49   168 240 1.0 0 25 50 100 2.0 1.0 2.0 </iso3>
                <iso4>  75  120 1.7 1.0    22 60 1.9 1.3    25 42 49 49   168 240 1.0 0 25 50 100 2.0 1.0 2.0 </iso4>
                <iso5>  75  120 1.7 1.0    20 25 1.7 1.5    25 42 49 49   168 240 1.0 0 25 50 100 2.0 1.0 2.0 </iso5>
                <iso6>  75  120 1.7 1.0    16 25 1.5 1.5    25 42 49 49   168 240 1.0 0 25 50 100 2.0 1.0 2.0 </iso6>
                <iso7>  75  120 1.7 1.0    16 25 1.5 1.5    25 42 49 49   168 240 1.0 0 25 50 100 2.0 1.0 2.0 </iso7>
                <iso8>  62  120 2.5 1.0    16 25 1.5 1.5    25 42 49 49   168 240 1.0 0 25 50 100 1.5 1.0 1.5 </iso8>
                <iso9>  62  120 2.5 1.0    16 25 1.5 1.5    25 42 49 49   168 240 1.0 0 25 50 100 1.5 1.0 1.5 </iso9>
            </Layer1>
            <Layer2>
                <!--    gradation_nr_4     luma_nr_4        luma_sub_4   /face_details_8                 -->
                <exp0>  75  120 1.4 1.0    16 32 1.5 1.4    25 42 32 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </exp0>
                <exp1>  75  120 1.4 1.0    16 32 1.5 1.4    25 42 32 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </exp1>
                <exp2>  75  120 1.4 1.0    16 32 1.5 1.4    25 42 32 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </exp2>
                <iso0>  75  120 1.4 1.0    16 32 1.5 1.4    25 42 32 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso0>
                <iso1>  75  120 1.4 1.0    16 32 1.5 1.4    25 42 32 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso1>
                <iso2>  75  120 1.4 1.0    16 32 1.5 1.4    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso2>
                <iso3>  75  120 1.4 1.0    16 32 1.5 1.4    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso3>
                <iso4>  75  120 1.4 1.0    16 32 1.5 1.4    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso4>
                <iso5>  75  120 1.4 1.0    16 32 1.4 1.4    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso5>
                <iso6>  75  120 1.4 1.0    16 32 1.4 1.5    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso6>
                <iso7>  75  120 1.4 1.0    16 32 1.4 1.5    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso7>
                <iso8>  60  120 2.0 1.0    16 32 1.4 1.5    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso8>
                <iso9>  60  120 2.0 1.0    16 32 1.4 1.5    25 42 41 49  128 200 1.0 15 25 32 100 1.0 1.0 1.0 </iso9>
            </Layer2>
        </NLM>
        <SKIN_TH>
            <!--   /skin_th           /avghue_th  /faceHueM /hue_range   /face_rect_ratio    -->
            <!--   4th_ratio                                low high                         -->
            <!--   4[0,1.0]            [0,255]     [0,255]  2[0,255]      2[0,255] 2[0,1]     -->
            <exp0> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0</exp0>
            <exp1> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0</exp1>
            <exp2> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0</exp2>
            <iso0> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0</iso0>
            <iso1> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0</iso1>
            <iso2> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0</iso2>
            <iso3> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0</iso3>
            <iso4> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0</iso4>
            <iso5> 0.2 0.75 0.85  1.0  150         230       30 140      50 170   0.85 1.0</iso5>
            <iso6> 0.2 0.75 0.85  1.0  140         230       30 140      50 170   0.85 1.0</iso6>
            <iso7> 0.2 0.75 0.85  1.0  140         230       30 140      50 170   0.85 1.0</iso7>
            <iso8> 0.2 0.75 0.85  1.0  140         230       30 140      50 170   0.85 1.0</iso8>
            <iso9> 0.2 0.75 0.85  1.0  140         230       30 140      50 170   0.85 1.0</iso9>
        </SKIN_TH>
        <DetailAddBack>
            <Layer0>
                <CurrentLayer>
                    <!--  /weak detail sensor        /weak_cpl_detail_th_4  /strong_cpl_detail_th2  /weight_for_non_detail_region_y4  /weight_for_detail_region_y5          /weight_c_depend_on_y  /weight_d_depend_on_y  /weight_depend_on_ghost7                         /weight_depend_on_skin_1L3 /weight_depend_on_var /gf_kernel3      /sub_noise      /noise_shift-->
                    <!--   2var 2w                   4 th                   2 th                    l_min  l_max  2 weight 1scale     l_min  l_max  3 weight      1scale     weight                   weight               2detail_th  2ghost_th  nonG sd  wd    1scale    nonFace     Face           2var 2w               k       LF  HF   2detail 2subn               -->
                    <!--   2[0,255]  2[0,1.0]        4[0,255]               2[0,255]                2[0,255]     2[0,1.0]  1[0,4]    2[0,255]      3[0,2.0]       1[0,4]    [0,2.0]                   [0,2.0]               2[0,255]  2[0,255]    3[0,2.0]       1[0,1.0]   3[0,2.0]                 2[0,255] 2[0,1.0]       1[0~15] 2[0,2.0]  2[0,64] 2[1,8] 1[-4~6]-->
                    <exp0> 7 15      0.08 0.3        50 65 70 90            14 25                   16    18     0.3  0.5  3.0        16     20     0.6  0.7 1.3  1.5         0.7                      0.8                   70 200      110 200    1.3  0.7 0.5  0.5       1.0    0.95 0.7           60  160 1.0 0.9        6       0.9 1.0   32 40 1.5 6     5     </exp0>
                    <exp1> 7 15      0.08 0.3        50 65 70 90            14 25                   16    18     0.3  0.5  3.0        16     20     0.6  0.7 1.3  1.5         0.7                      0.8                   70 200      110 200    1.3  0.7 0.5  0.5       1.0    0.95 0.7           60  160 1.0 0.9        6       0.9 1.0   32 40 1.5 6     5     </exp1>
                    <exp2> 7 15      0.08 0.3        40 60 70 85            14 25                   16    20     0.25 0.5  3.0        16     25     0.5  0.8 1.2  1.5         0.7                      0.8                   70 200      110 200    1.3  0.7 0.6  0.5       1.0    0.95 0.7           60  160 1.0 0.9        6       1.0 0.9   32 40 1.5 6     5     </exp2>
                    <iso0> 7 15      0.08 0.3        30 39 45 55            14 25                   16    29     0.15 0.5  3.0        16     29     0.5  0.8 1.1  1.5         0.7                      0.8                   70 200      100 160    1.0  0.5 0.7  0.5       1.0    0.95 0.7           60  160 1.0 0.9        8       1.0 0.9   32 40 1.5 6     5     </iso0>
                    <iso1> 7 15      0.08 0.3        30 39 45 55            14 25                   16    29     0.25 0.5  1.0        16     29     0.6  0.8 1.1  1.0         0.5                      0.6                   70 200      100 160    1.0  0.4 0.7  1.0       1.0    0.95 0.9           60  160 1.0 0.9        8       0.9 0.9   32 40 1.5 6     4     </iso1>
                    <iso2> 7 15      0.08 0.3        30 39 45 55            14 25                   16    29     0.3  0.55 1.0        16     29     0.45 0.7 1.2  1.0         0.4                      0.5                   70 200      100 160    1.0  0.4 0.7  1.0       1.0    0.95 0.9           60  160 1.0 0.9        8       0.9 0.8   32 40 1.5 6     3     </iso2>
                    <iso3> 7 15      0.08 0.3        30 39 45 55            14 25                   16    29     0.20 0.45 1.0        16     29     0.35 0.7 1.2  1.0         0.4                      0.5                   70 200      100 160    1.0  0.4 0.7  1.0       1.0    0.95 0.9           60  160 1.0 0.9        7       0.9 0.6   32 40 1.5 6     2     </iso3>
                    <iso4> 7 15      0.08 0.15       29 38 40 55            12 25                   16    29     0.20 0.4  1.0        16     25     0.35 0.6 1.2  1.0         0.4                      0.5                   70 200      100 160    1.0  0.4 0.7  1.0       1.0    0.95 0.9           60  160 1.0 0.9        7       0.9 0.6   32 40 1.5 6     1     </iso4>
                    <iso5> 7 15      0.08 0.15       30 38 41 55            10 25                   16    29     0.15 0.3  1.0        16     29     0.35 0.5 1.1  1.0         0.3                      0.4                   70 200      100 160    1.0  0.4 0.7  1.0       1.0    0.95 0.9           60  160 1.0 0.9        7       0.8 0.5   32 40 1.5 6     0     </iso5>
                    <iso6> 7 15      0.08 0.15       30 40 45 55            10 25                   16    29     0.1  0.15 1.0        16     29     0.35 0.45 1.0 1.0         0.3                      0.4                   70 200      100 160    1.0  0.4 0.7  1.0       1.0    0.95 0.9           60  160 1.0 0.9        7       0.8 0.5   32 40 1.5 6     -1    </iso6>
                    <iso7> 7 15      0.08 0.15       30 41 45 55            10 25                   16    29     0.1  0.15 1.0        16     29     0.35 0.45 1.0 1.0         0.2                      0.4                   70 200      100 160    1.0  0.4 0.7  1.0       1.0    0.95 0.9           60  160 1.0 0.9        7       0.8 0.5   32 40 1.5 6     -2    </iso7>
                    <iso8> 7 15      0.08 0.15       30 41 45 55            10 25                   16    29     0.1  0.15 1.0        16     29     0.30 0.40 1.0 1.0         0.2                      0.4                   70 200      100 160    1.0  0.4 0.7  1.0       1.0    0.8  0.9           60  160 1.0 0.9        11      0.8 0.2   32 40 1.5 6     -2    </iso8>
                    <iso9> 7 15      0.08 0.15       30 41 45 55            10 25                   16    29     0.1  0.15 1.0        16     29     0.30 0.40 1.0 1.0         0.2                      0.4                   70 200      100 160    1.0  0.4 0.7  1.0       1.0    0.8  0.9           60  160 1.0 0.9        11      0.8 0.2   32 40 1.5 6     -2    </iso9>
                </CurrentLayer>

            </Layer0>
            <Layer1>
                <CurrentLayer>
                    <!--  /weak detail sensor   /weak_cpl_detail_th_4  /strong_cpl_detail_th2  /weight_for_non_detail_region_y7  /weight_for_detail_region_y8          /weight_c_depend_on_y4  /weight_d_depend_on_y4  /weight_depend_on_ghost7                            /weight_depend_on_skin_1L3 /weight_depend_on_var  /gf_kernel6  /sub_noise     /noise_shift-->
                    <!--   2var 2w              4 th                  2 th                    l_min  l_max  2 weight   1scale     l_min  l_max  3 weight       1scale  weight                   weight                   2detail_th  2ghost_th  nonG sd  wd   1scale       nonFace     Face          2var 2w                k  LF  HF   2detail 2subn              -->
                    <exp0> 12 25 0.08 0.3        45 60 70 90            14 25                   16    25     0.3  0.5   3.0        16     20     1.00 1.0 1.0  1.0       0.9                     1.0                     40 100      100 180    1.0  0.8 0.95 0.8          1.0    0.9  0.80           60 160 1.0 0.9        6  0.9 1.0  32 40 2.5 6     6 </exp0>
                    <exp1> 12 25 0.08 0.3        45 60 70 90            14 25                   16    25     0.3  0.5   3.0        16     20     1.00 1.0 1.0  1.0       0.9                     1.0                     40 100      100 180    1.0  0.8 0.95 0.8          1.0    0.9  0.80           60 160 1.0 0.9        6  0.9 1.0  32 40 2.5 6     6 </exp1>
                    <exp2> 12 25 0.08 0.3        35 50 60 80            14 25                   16    27     0.2  0.5   3.0        16     20     1.00 1.0 1.0  1.0       0.9                     1.0                     40 100      100 180    1.0  0.8 0.95 0.8          1.0    0.9  0.80           60 160 1.0 0.9        6  0.9 1.0  32 40 2.5 6     6 </exp2>
                    <iso0> 12 25 0.08 0.3        30 39 45 60            14 25                   16    29     0.15 0.4   3.0        16     25     0.9  1.1 1.0  1.0       0.7                     0.8                     40 100      100 180    1.0  0.8 0.95 0.8          1.0    0.9  1.0            60 160 1.0 0.9        8  0.9 1.0  32 40 2.0 6     6 </iso0>
                    <iso1> 9  20 0.08 0.3        30 39 45 55            14 25                   16    29     0.25 0.5   1.0        16     25     0.9  1.1 1.0  1.0       0.5                     0.6                     40 95       100 180    1.0  0.8 0.95 1.0          1.0    0.9  1.1            60 160 1.0 0.9        8  1.0 1.0  32 40 1.5 6     5 </iso1>
                    <iso2> 7  15 0.08 0.3        30 39 41 55            14 25                   16    29     0.3  0.45  1.0        16     25     0.9  1.1 1.0  1.0       0.4                     0.5                     40 84       100 180    1.0  0.8 0.95 1.0          1.0    0.9  1.1            60 160 1.0 0.9        8  1.0 1.0  32 40 1.5 6     5 </iso2>
                    <iso3> 7  15 0.08 0.3        30 39 41 55            14 25                   16    29     0.3  0.45  1.0        16     22     0.9  1.1 1.0  1.0       0.4                     0.5                     40 85       100 180    1.0  0.8 0.95 1.0          1.0    0.8  1.1            60 160 1.0 0.9        8  1.0 0.9  32 40 1.5 6     5 </iso3>
                    <iso4> 7  15 0.08 0.15       31 39 40 55            12 25                   16    29     0.30 0.45  1.0        16     19     0.9  1.1 1.0  1.0       0.4                     0.5                     40 82       100 180    1.0  0.8 0.95 1.0          1.0    0.8  1.1            60 160 1.0 0.9        8  1.0 0.9  32 40 2.5 6     4 </iso4>
                    <iso5> 7  15 0.08 0.15       31 39 40 55            10 25                   16    29     0.25 0.35  1.0        16     19     0.8  1.0 1.0  1.0       0.4                     0.6                     40 80       100 180    1.0  0.8 0.95 1.0          1.0    0.8  1.1            60 160 1.0 0.9        7  1.1 1.0  32 40 2.5 6     2 </iso5>
                    <iso6> 7  15 0.08 0.15       30 39 40 55            8  25                   16    29     0.1  0.2   1.0        16     20     0.8  1.0 1.0  1.0       0.4                     0.6                     40 80       100 180    1.0  0.8 0.95 1.0          1.0    0.8  1.1            60 160 1.0 0.9        7  1.0 0.9  32 40 2.5 6     0 </iso6>
                    <iso7> 7  15 0.08 0.15       30 39 40 55            8  25                   16    29     0.1  0.2   1.0        16     20     0.8  1.0 1.0  1.0       0.4                     0.5                     40 80       100 180    1.0  0.8 0.95 1.0          1.0    0.8  1.1            60 160 1.0 0.9        7  0.9 0.9  32 40 2.5 6     0 </iso7>
                    <iso8> 7  15 0.08 0.15       30 39 40 65            8  25                   16    29     0.1  0.2   1.0        16     20     0.7  0.9 1.0  1.0       0.4                     0.5                     40 80       100 180    1.0  0.8 0.95 1.0          1.0    0.9  0.9            60 160 1.0 0.9        7  0.9 0.9  32 40 2.5 6     -1</iso8>
                    <iso9> 7  15 0.08 0.15       30 39 40 65            8  25                   16    29     0.1  0.2   1.0        16     20     0.7  0.9 1.0  1.0       0.4                     0.5                     40 80       100 180    1.0  0.8 0.95 1.0          1.0    0.9  0.9            60 160 1.0 0.9        7  0.9 0.9  32 40 2.5 6     -1</iso9>
                </CurrentLayer>

            </Layer1>
            <Layer2>
                <CurrentLayer>
                    <!--  /weak detail sensor  /weak_cpl_detail_th_4  /strong_cpl_detail_th2  /weight_for_non_detail_region_y7  /weight_for_detail_region_y8           /weight_c_depend_on_y4  /weight_d_depend_on_y4  /weight_depend_on_ghost7                            /weight_depend_on_skin_1L3 /weight_depend_on_var     /gf_kernel6 /sub_noise    /noise_shift -->
                    <!--   2var 2w             4 th                  2 th                    l_min  l_max  2 weight   1scale     l_min  l_max  3 weight        1scale       weight                   weight                  2detail_th  2ghost_th  nonG sd  wd   1scale    nonFace     Face            2var 2w                 k  LF  HF    2detail 2subn              -->
                    <exp0> 7 15 0.08 0.15      35 42 45 60            14 24                   17     25    0.3  0.6    3.0       16     20     1.0  1.1  1.0   1.0           0.8                     1.0                     40 100      100 180    1.0  0.4 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          6  1.0 1.0  32 40 1.5 6   6 </exp0>
                    <exp1> 7 15 0.08 0.15      35 42 45 60            14 24                   17     25    0.3  0.6    3.0       16     20     1.0  1.1  1.0   1.0           0.8                     1.0                     40 100      100 180    1.0  0.4 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          6  1.0 1.0  32 40 1.5 6   6 </exp1>
                    <exp2> 7 15 0.08 0.15      35 42 45 60            14 24                   17     25    0.3  0.6    3.0       16     20     1.0  1.1  1.0   1.0           0.8                     1.0                     40 100      100 180    1.0  0.4 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          6  1.0 1.0  32 40 1.5 6   6 </exp2>
                    <iso0> 7 15 0.08 0.15      35 42 45 60            14 24                   17     27    0.2  0.6    3.0       16     27     0.9  1.2  1.0   1.0           0.8                     0.8                     40 100      100 180    1.0  0.4 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          7  1.0 1.0  32 40 1.5 6   6 </iso0>
                    <iso1> 7 15 0.08 0.15      35 42 45 60            14 24                   17     29    0.2  0.6    1.0       16     25     0.9  1.3  1.0   1.0           0.5                     0.6                     40 95       100 180    1.0  0.4 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          7  1.0 1.0  32 40 1.5 6   6 </iso1>
                    <iso2> 7 15 0.08 0.15      30 39 45 60            14 24                   17     29    0.4  0.5    1.0       16     22     1.00 1.3  1.0   1.0           0.4                     0.5                     40 84       100 180    1.0  0.4 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          7  1.0 1.0  32 40 1.5 6   6 </iso2>
                    <iso3> 7 15 0.08 0.15      30 39 45 60            14 24                   17     29    0.4  0.5    1.0       16     22     1.00 1.3  1.0   1.0           0.4                     0.5                     40 85       100 180    1.0  0.4 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          8  1.0 0.9  32 40 1.5 6   6 </iso3>
                    <iso4> 7 15 0.08 0.15      31 39 45 55            12 25                   17     25    0.4  0.5    1.0       16     19     1.00 1.3  1.0   1.0           0.4                     0.5                     40 82       100 180    1.0  0.5 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          8  1.0 0.9  32 40 1.5 6   5 </iso4>
                    <iso5> 7 15 0.08 0.15      29 37 45 55            10 25                   17     29    0.25 0.5    1.0       16     19     1.00 1.1  1.0   1.0           0.4                     0.8                     40 80       100 180    1.0  0.7 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          7  0.7 1.1  32 40 1.5 6   3 </iso5>
                    <iso6> 7 15 0.08 0.15      30 38 45 55            10 25                   17     29    0.1  0.2    1.0       16     20     1.00 1.1  1.0   1.0           0.25                    0.5                     40 80       100 180    1.0  0.7 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          8  0.7 1.1  32 40 1.5 6   1 </iso6>
                    <iso7> 7 15 0.08 0.15      30 38 45 55            10 25                   17     29    0.1  0.2    1.0       16     20     1.00 1.1  1.0   1.0           0.25                    0.5                     40 80       100 180    1.0  0.7 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          8  0.6 1.1  32 40 1.5 6   0 </iso7>
                    <iso8> 7 15 0.08 0.15      30 38 45 55            10 25                   17     29    0.1  0.2    1.0       16     20     1.00 1.1  1.0   1.0           0.25                    0.5                     40 80       100 180    1.0  0.7 0.7  1.0       1.0    1.1 1.1               60 168 1.0 0.9          8  0.6 1.1  32 40 1.5 6   0 </iso8>
                    <iso9> 7 15 0.08 0.15      30 38 45 55            10 25                   17     29    0.1  0.2    1.0       16     20     1.00 1.1  1.0   1.0           0.25                    0.5                     40 80       100 180    1.0  0.7 0.7  1.0       1.0    1.1 1.1               60 168 1.0 0.9          8  0.6 1.1  32 40 1.5 6   0 </iso9>
                </CurrentLayer>

            </Layer2>
        </DetailAddBack>
        <lanczos_de>
            <!--    detail_read                luma               skin                              -->
            <!--    detail nondetail detail    dark light         nonFace  Face                     -->
            <!--    4[0,255]     3[0,512]     2[0,255] 2[0,215]   4[0,255]        3[0,512]          -->
            <exp0>   8 13 40 50  256 32 256    16 32  256 256     10 100 150 200  256 256 256   </exp0>
            <exp1>   8 13 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </exp1>
            <exp2>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </exp2>
            <iso0>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso0>
            <iso1>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso1>
            <iso2>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso2>
            <iso3>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso3>
            <iso4>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso4>
            <iso5>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso5>
            <iso6>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso6>
            <iso7>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso7>
            <iso8>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso8>
            <iso9>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso9>
        </lanczos_de>
        <DpcRawnr>
            <dpcc_on_off> 1 </dpcc_on_off> <!-- 0 off, 1 on -->
            <LV_th> 5 </LV_th> <!-- [0,255] -->
            <box_radius>2</box_radius> <!-- [1,10] -->
            <iso>                 100   800   1600   3200   6400   </iso> <!-- iso threshold for th0~th7 -->
            <varY_th>             10    10    10     10     10     </varY_th> <!-- [0,255] -->
            <stdY_th>             11    11    11     11     11     </stdY_th> <!-- [0,255] -->
            <sad_neibr_count_th>  7     7     7      7      7      </sad_neibr_count_th> <!-- [0,255] -->
            <sad_total_count_th>  46    46    46     46     46     </sad_total_count_th> <!-- [0,255] -->
            <sad_neibr_scale>     70    70    70     70     70     </sad_neibr_scale> <!-- [0,255] -->
            <sad_total_scale>     64    64    64     64     64     </sad_total_scale> <!-- [0,255] -->
            <line_sensor_scale>   12    12    12     12     12     </line_sensor_scale> <!-- [0,255] -->
            <dpc_detail_min>      19    19    19     19     19     </dpc_detail_min> <!-- [0,255] -->
            <dpc_detail_max>      35    35    35     35     35     </dpc_detail_max> <!-- [0,255] -->
        </DpcRawnr>
    </RAWNR>

    <CE>
        <!-- light_lev min_drc_gain max_drc_gain min_ce_gain max_ce_gain min_uv_value max_uv_value min_y_value max_y_value min_face_hue max_face_hue min_face_gain max_face_gain sky_gain         h_target                  s_target-->
        <!-- [0, 65535]  [0,255]      [0,255]      [1,255]      [1,255]      [1,128]      [1,128]    [0,255]      [0,255]      [0,255]      [0,255]      [0,32]       [0,32]     [0,255]   [0,255] [0,255] [0,255]   [0,255] [0,255] [0,255]-->
        <param0>   1       32           100           1            64           30           60         40           60          132          140           0           32         192        120     155    180       20      100     120</param0>
        <param1>  50       32           100           1            64           30           60         40           60          132          140           0           32         128        120     155    180       20      100     120</param1>
        <param2> 100       32           100           1            64           30           60         40           60          132          140           0           32          64        120     155    180       20      100     120</param2>
        <param3> 200       32           100           1            32           30           60         40           60          132          140           0           32          0         120     155    180       20      100     120</param3>
        <param4> 800       32           100           1            16           30           60         40           60          132          140           0           32          0         120     155    180       20      100     120</param4>
        <param5>1600       32           100           1            16           30           60         40           60          132          140           0           32          0         120     155    180       20      100     120</param5>
        <param6>3200       32           100           1            16           30           60         40           60          132          140           0           32          0         120     155    180       20      100     120</param6>
        <param7>6400       32           100           1            1            30           60         40           60          132          140           0           32          0         120     155    180       20      100     120</param7>
    </CE>
    
    <SkinSmooth>
        <high_pass_r>16</high_pass_r>                    <!-- [2, 24] -->
        <high_pass_eps>0.00001</high_pass_eps>            <!-- [0.00001, 0.2] -->
        <high_pass_r2>4</high_pass_r2>                    <!-- [2, 10] -->
        <high_pass_eps2>0.00001</high_pass_eps2>            <!-- [0.00001, 0.2] -->
        <bwp_gf_r>4</bwp_gf_r>                        <!-- [2, 10] -->
        <bwp_gf_eps>0.005</bwp_gf_eps>                <!-- [0.00001, 0.2] -->
        <bwp_a0>0.5</bwp_a0>                        <!-- [0, 1] -->
        <bwp_b0>0.5</bwp_b0>                        <!-- [0, 1] -->
        <bwp_c0>0.5</bwp_c0>                        <!-- [0, 1] -->
        <bwp_d0>0.35</bwp_d0>                        <!-- [0, 1] -->
        <beta>1.75</beta>                            <!-- [1, 3] -->
        <gf_r_1>16</gf_r_1>                                <!-- [2, 24] -->
        <gf_eps_1>0.00001</gf_eps_1>                        <!-- [0.00001, 0.2] -->
        <gf_r_2>2</gf_r_2>                                <!-- [2, 10] -->
        <gf_eps_2>0.00001</gf_eps_2>                        <!-- [0.00001, 0.2] -->
        <k_size_1>21</k_size_1>                            <!-- [2, 24] -->
        <sigma_1>5.0</sigma_1>                        <!-- [2.0, 10] -->
        <ao_gf_r>8</ao_gf_r>                        <!-- [2, 20] -->
        <ao_gf_eps>0.01</ao_gf_eps>                    <!-- [0.00001, 0.2] -->
        <Ao_CLIP_TH_1_H>0.02</Ao_CLIP_TH_1_H>            <!-- [0.001, 1] -->
        <Ao_CLIP_TH_1_L>0.03</Ao_CLIP_TH_1_L>        <!-- [0.001, 1] -->
        <Ao_CLIP_TH_2_H>0.02</Ao_CLIP_TH_2_H>            <!-- [0.001, 1] -->
        <Ao_CLIP_TH_2_L>0.02</Ao_CLIP_TH_2_L>        <!-- [0.001, 1] -->
        <ao_ww_1>1.2</ao_ww_1>                        <!-- [0, 3] -->
        <ao_ww_2>1.0</ao_ww_2>                        <!-- [0, 3] -->
        <ao_ww_3>0.0</ao_ww_3>                        <!-- [0, 3] -->
        <ao_ww_4>1.2</ao_ww_4>                        <!-- [0, 3] -->
        <k_size_2>5</k_size_2>                            <!-- [1, 20] -->
        <sigma_2>4.0</sigma_2>                        <!-- [2.0, 10] -->
        <ad_gf_r>2</ad_gf_r>                        <!-- [2, 20] -->
        <ad_gf_eps>0.020</ad_gf_eps>                <!-- [0.00001, 0.2] -->
        <Ad_CLIP_TH_1_H>0.02</Ad_CLIP_TH_1_H>            <!-- [0.001, 1] -->
        <Ad_CLIP_TH_1_L>0.03</Ad_CLIP_TH_1_L>        <!-- [0.001, 1] -->
        <Ad_CLIP_TH_2_H>0.02</Ad_CLIP_TH_2_H>            <!-- [0.001, 1] -->
        <Ad_CLIP_TH_2_L>0.03</Ad_CLIP_TH_2_L>        <!-- [0.001, 1] -->
        <Ad_CLIP_TH_3_H>0.02</Ad_CLIP_TH_3_H>            <!-- [0.001, 1] -->
        <Ad_CLIP_TH_3_L>0.03</Ad_CLIP_TH_3_L>        <!-- [0.001, 1] -->
        <Ad_CLIP_TH_4_H>0.015</Ad_CLIP_TH_4_H>            <!-- [0.001, 1] -->
        <Ad_CLIP_TH_4_L>0.05</Ad_CLIP_TH_4_L>        <!-- [0.001, 1] -->
        <ad_ww_1>1.0</ad_ww_1> <!--eyebrow-->         <!-- [0, 3] -->
        <ad_ww_2>1.0</ad_ww_2> <!--eye-->             <!-- [0, 3] -->
        <ad_ww_3>0.6</ad_ww_3> <!--mouth & protect--> <!-- [0, 3] -->
        <ad_ww_4>0.0</ad_ww_4> <!--common-->          <!-- [0, 3] -->
        <ab_gf_r>6</ab_gf_r>                            <!-- [2, 20] -->
        <ab_eps>0.05</ab_eps>                            <!-- [0.00001, 0.2] -->
        <skin_smooth_level_default>50</skin_smooth_level_default>
    </SkinSmooth>

    <RAW2YUV>
        <rawnf>
            <bypass>1</bypass>
        </rawnf>
        <de>
            <bypass>1</bypass>
        </de>
        <drc>
            <bypass>1</bypass>
        </drc>
        <lsc>
            <bypass>1</bypass>
        </lsc>
        <yuvnf_iir>
            <bypass>0</bypass>
        </yuvnf_iir>

        <cc>
            <use_manual>1</use_manual>
            <switch>0</switch>
        </cc>

        <dpcc>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </dpcc>

        <yuvnf>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </yuvnf>

        <sharpen>
            <use_manual>1</use_manual>
            <switch>0</switch>
        </sharpen>
        <sharpen_arsr>
            <use_manual>1</use_manual>
            <switch>0</switch>
        </sharpen_arsr>
    </RAW2YUV>
</Config>
